/* Here are some example RUD operations! 
They're not all that sensible...maybe you'll 
figure out why as we progress through the labs! */

/* Select all columns from Album table */
SELECT * FROM Album;

/* Selct only name and year columns from Album table
and where price > £15 */
SELECT name, year FROM Album WHERE price > 15;

/* Update the price of albums called 'Soul Rebel' */
UPDATE Album SET price=21.99 WHERE name='Soul Rebel';

/* Delete artists with first_name Madonna (Yay!) */
DELETE FROM Artist WHERE first_name='Madonna';

/* Example use of ORDER BY key-word */
SELECT title, year, price FROM Album 
ORDER BY year ASC, price DESC;

/* Example simple table join.
Gets title, price and year of albums
where Artist last name is 'Marley'
and orders by year ascending */
SELECT title, price, year FROM Album 
INNER JOIN Artist 
	ON Artist.id=Album.artist_id 
WHERE Artist.last_name='Marley'
ORDER BY year ASC;

/* Example multi table join
Gets track names, track numbers 
and titles of all pop albums */
SELECT t.name, t.track_number, a.title 
FROM Track t 
INNER JOIN Album a
	ON a.upc=t.album_upc 
INNER JOIN Genre g
	ON g.id=a.genre_id
WHERE g.name='Pop';

/* Example multi table join 
Gets album title, genre and name
of first track on every album.
Uses both column and table aliases 
to make result-set more readable */
SELECT a.title AS album, g.name AS genre, t.name AS track FROM Album a 
INNER JOIN Genre g 
	ON a.genre_id=g.id 
INNER JOIN Track t 
	ON a.upc=t.album_upc 
WHERE t.track_number=1;
